gitit-0.12.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell98

Network.Gitit.Rpxnow

Synopsis

- data Identifier = Identifier {
  - userIdentifier :: String
  - userData :: [(String, String)]
  }
- authenticate :: Monad m => String -> String -> IO (m Identifier)

# Documentation

data Identifier Source

Information received from Rpxnow after a valid login.

Constructors

Identifier |

Fields

userIdentifier :: String
userData :: [(String, String)]

Instances

Show Identifier Source |

authenticate Source

Arguments

:: Monad m |
=> String | API key given by RPXNOW.
-> String | Token passed by client.
-> IO (m Identifier) |

Attempt to log a user in.